Skip to content

Create or update Apple Push Notification (APN) configuration for the current account.

PUT
/settings/push/apn
curl --request PUT \
--url https://api.pingram.io/settings/push/apn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "KeyId": "example", "Key": "example", "TeamId": "example", "Topic": "example" }'
Media type application/json
object
KeyId
required
string
Key
required
string
TeamId
required
string
Topic
required
string
Example generated
{
"KeyId": "example",
"Key": "example",
"TeamId": "example",
"Topic": "example"
}

Successful response

Media type application/json
object
KeyId
required
string
Key
required
string
TeamId
required
string
Topic
required
string
Example generated
{
"KeyId": "example",
"Key": "example",
"TeamId": "example",
"Topic": "example"
}

Bad Request - validation errors, invalid input

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Unauthorized

Payment Required - usage limits exceeded

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Internal Server Error

Bad Gateway - provider error

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}